Bug 1174516 - File mapping rules failed to be referred for project type podir push
File mapping rules failed to be referred for project type podir push
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Maven, Component-zanata-client (Show other bugs)
client-3.4
Unspecified Unspecified
unspecified Severity high
: ---
: client-3.4
Assigned To: Patrick Huang
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-15 19:50 EST by Ding-Yi Chen
Modified: 2015-04-19 21:20 EDT (History)
1 user (show)

See Also:
Fixed In Version: commit 2ba3685c07ab53d81beed6668f28a012a012d863
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-19 21:20:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
zanata.xml for man-pages-l10n (2.84 KB, application/xml)
2014-12-15 19:50 EST, Ding-Yi Chen
no flags Details

  None (edit)
Description Ding-Yi Chen 2014-12-15 19:50:49 EST
Created attachment 969363 [details]
zanata.xml for man-pages-l10n

Description of problem:
When pushing the translation with podir projects, file mapping rule is ignored, and the client still used the old way to find the translation files, i.e. <trans-dir>/<locale>/<filename>

Version-Release number of selected component (if applicable):
zanata-maven-plugin:3.4.0

How reproducible:
Always

Steps to Reproduce:
1. Assume the project man-pages-l10n and version master is created.
   man-pages-l10n git repo:  https://git.fedorahosted.org/git/man-pages-l10n.git
2. zanata.xml is attached
3. push with 
mvn "-e" "org.zanata:zanata-maven-plugin:push" "-Dzanata.pushType=trans" "-Dzanata.disableSSLCert" "-Dzanata.copyTrans=false


Actual results:
Translation files were not found.

Expected results:
Translation files should be found and pushed.

Additional info:
Comment 1 Ding-Yi Chen 2014-12-15 19:51:45 EST
Correction, the command should be:
 mvn -e org.zanata:zanata-maven-plugin:push -Dzanata.pushType=trans -Dzanata.disableSSLCert -Dzanata.copyTrans=false
Comment 2 Patrick Huang 2014-12-16 00:15:31 EST
https://github.com/zanata/zanata-client/pull/40
Comment 3 Ding-Yi Chen 2014-12-22 23:25:53 EST
VERIFIED with commit 2ba3685c07ab53d81beed6668f28a012a012d863

Note You need to log in before you can comment on or make changes to this bug.